


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

main() {
float i,j;
if (0) {
/* beginning of onevent block */
 goto trap;
/* end of onevent block */
 }
 i=(double)2;
for (;;) {
 j=i;	 i=i+i;
if (i< 1.0E-5 || j>=i) {fprintf(out_file, "%s", "Oflow missed"); exit(0);}
}
 fprintf(out_file, "%s", "FAIL");
 exit(0);
trap:

 fprintf(out_file, "%s", "event trapped ");
 fprintf(out_file, "%6d",(unsigned)/* Call to %integerfn EVENTINF - please modify pass2.i to handle it */>>8);	 
fprintf(out_file, "%6d",/* Call to %integerfn EVENTINF - please modify pass2.i to handle it */&255);
 fprintf(out_file, "%s", "\n");
 fprintf(out_file, "%s", "Line of failure =");
 fprintf(out_file, "%5d",/* Call to %integerfn EVENTLINE - please modify pass2.i to handle it */);
 fprintf(out_file, "%s", "\n");
 fprintf(out_file, "%s", "Test OK");
exit(0);
}

/* end of automatic translation */

